<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>17.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{89e2d55f-fd15-40b6-838b-4133cb69eecb}</ProjectGuid>
    <RootNamespace>KNClient</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <SourcePath>$(SourcePath)</SourcePath>
    <ExternalIncludePath>D:\Projects\CppUtils;$(ExternalIncludePath)</ExternalIncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <SourcePath>$(SourcePath)</SourcePath>
    <ExternalIncludePath>D:\Projects\CppUtils;$(ExternalIncludePath)</ExternalIncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ExternalIncludePath>D:\Projects\CppUtils;$(ExternalIncludePath)</ExternalIncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ExternalIncludePath>D:\Projects\CppUtils;$(ExternalIncludePath)</ExternalIncludePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>false</ConformanceMode>
      <LanguageStandard>stdcpp20</LanguageStandard>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <EnableParallelCodeGeneration>true</EnableParallelCodeGeneration>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>false</ConformanceMode>
      <LanguageStandard>stdcpp20</LanguageStandard>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <EnableParallelCodeGeneration>true</EnableParallelCodeGeneration>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\..\CppUtils\Graphics\Factory.cpp" />
    <ClCompile Include="..\..\CppUtils\Graphics\Font.cpp" />
    <ClCompile Include="..\..\CppUtils\Graphics\Graphics.cpp" />
    <ClCompile Include="..\..\CppUtils\Graphics\nanosvg.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Clipboard.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Convert.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\CRandom.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\DataPack.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\DateTime.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Dialog.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Environment.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Event.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\File.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\FileInfo.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\FileStream.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Guid.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\H264Encoder.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\HttpHelper.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Process.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\ProcessOperator.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Registry.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Socket.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\SqliteHelper.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\sqlite\shell.c" />
    <ClCompile Include="..\..\CppUtils\Utils\sqlite\sqlite3.c" />
    <ClCompile Include="..\..\CppUtils\Utils\StopWatch.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\StringBuilder.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\StringHelper.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Thread.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\TimeSpan.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\Utils.cpp" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\adler32.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\compress.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\crc32.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\deflate.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\infback.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\inffast.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\inflate.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\inftrees.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\trees.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\uncompr.c" />
    <ClCompile Include="..\..\CppUtils\Utils\zlib\zutil.c" />
    <ClCompile Include="DXGIDuplicator.cpp" />
    <ClCompile Include="EncryptedPak.cpp" />
    <ClCompile Include="ImGuiDatePicker.cpp" />
    <ClCompile Include="ImGui\imgui.cpp" />
    <ClCompile Include="ImGui\imgui_demo.cpp" />
    <ClCompile Include="ImGui\imgui_draw.cpp" />
    <ClCompile Include="ImGui\imgui_impl_dx10.cpp" />
    <ClCompile Include="ImGui\imgui_impl_dx11.cpp" />
    <ClCompile Include="ImGui\imgui_impl_dx12.cpp" />
    <ClCompile Include="ImGui\imgui_impl_dx9.cpp" />
    <ClCompile Include="ImGui\imgui_impl_win32.cpp" />
    <ClCompile Include="ImGui\imgui_tables.cpp" />
    <ClCompile Include="ImGui\imgui_widgets.cpp" />
    <ClCompile Include="ImHelper.cpp" />
    <ClCompile Include="KNClient.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\CppUtils\Graphics\Colors.h" />
    <ClInclude Include="..\..\CppUtils\Graphics\Factory.h" />
    <ClInclude Include="..\..\CppUtils\Graphics\Font.h" />
    <ClInclude Include="..\..\CppUtils\Graphics\Graphics.h" />
    <ClInclude Include="..\..\CppUtils\Graphics\nanosvg.h" />
    <ClInclude Include="..\..\CppUtils\Utils\AudioFile.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Clipboard.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Convert.h" />
    <ClInclude Include="..\..\CppUtils\Utils\CRandom.h" />
    <ClInclude Include="..\..\CppUtils\Utils\DataPack.h" />
    <ClInclude Include="..\..\CppUtils\Utils\DateTime.h" />
    <ClInclude Include="..\..\CppUtils\Utils\defines.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Dialog.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Dictionary.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Environment.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Event.h" />
    <ClInclude Include="..\..\CppUtils\Utils\File.h" />
    <ClInclude Include="..\..\CppUtils\Utils\FileInfo.h" />
    <ClInclude Include="..\..\CppUtils\Utils\FileStream.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Guid.h" />
    <ClInclude Include="..\..\CppUtils\Utils\H264Encoder.h" />
    <ClInclude Include="..\..\CppUtils\Utils\HttpHelper.h" />
    <ClInclude Include="..\..\CppUtils\Utils\json.h" />
    <ClInclude Include="..\..\CppUtils\Utils\List.h" />
    <ClInclude Include="..\..\CppUtils\Utils\MemLoadLibrary2.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Process.h" />
    <ClInclude Include="..\..\CppUtils\Utils\ProcessOperator.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Registry.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Socket.h" />
    <ClInclude Include="..\..\CppUtils\Utils\SqliteHelper.h" />
    <ClInclude Include="..\..\CppUtils\Utils\sqlite\sqlite3.h" />
    <ClInclude Include="..\..\CppUtils\Utils\sqlite\sqlite3ext.h" />
    <ClInclude Include="..\..\CppUtils\Utils\StopWatch.h" />
    <ClInclude Include="..\..\CppUtils\Utils\StringBuilder.h" />
    <ClInclude Include="..\..\CppUtils\Utils\StringHelper.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Thread.h" />
    <ClInclude Include="..\..\CppUtils\Utils\TimeSpan.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Tuple.h" />
    <ClInclude Include="..\..\CppUtils\Utils\Utils.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\crc32.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\deflate.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\gzguts.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\inffast.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\inffixed.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\inflate.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\inftrees.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\trees.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\zconf.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\zlib.h" />
    <ClInclude Include="..\..\CppUtils\Utils\zlib\zutil.h" />
    <ClInclude Include="bkg.h" />
    <ClInclude Include="D3DX11.h" />
    <ClInclude Include="D3DX11async.h" />
    <ClInclude Include="D3DX11core.h" />
    <ClInclude Include="D3DX11tex.h" />
    <ClInclude Include="DXGIDuplicator.h" />
    <ClInclude Include="EncryptedPak.h" />
    <ClInclude Include="ImGuiDatePicker.h" />
    <ClInclude Include="ImGui\imconfig.h" />
    <ClInclude Include="ImGui\imgui.h" />
    <ClInclude Include="ImGui\imgui_impl_dx10.h" />
    <ClInclude Include="ImGui\imgui_impl_dx11.h" />
    <ClInclude Include="ImGui\imgui_impl_dx12.h" />
    <ClInclude Include="ImGui\imgui_impl_dx9.h" />
    <ClInclude Include="ImGui\imgui_impl_win32.h" />
    <ClInclude Include="ImGui\imgui_internal.h" />
    <ClInclude Include="ImGui\imstb_rectpack.h" />
    <ClInclude Include="ImGui\imstb_textedit.h" />
    <ClInclude Include="ImGui\imstb_truetype.h" />
    <ClInclude Include="ImHelper.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>